classification
Title: PEP 530, asynchronous comprehensions implementation
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: yselivanov Nosy List: lukasz.langa, ned.deily, python-dev, vstinner, yselivanov
Priority: Keywords: patch

Created on 2016-09-07 21:15 by yselivanov, last changed 2016-09-11 17:43 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
async_comp_1.patch yselivanov, 2016-09-07 21:15
asyncomp.patch yselivanov, 2016-09-09 16:05 review
Messages (7)
msg274897 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-09-07 21:15
This patch is supposed to be committed after issue #28003.
msg275358 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-09 17:36
New changeset cf91a929b81a by Yury Selivanov in branch 'default':
Issue #28008: Implement PEP 530 -- asynchronous comprehensions.
https://hg.python.org/cpython/rev/cf91a929b81a
msg275359 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-09-09 17:36
Committed. Thank you Victor for the review.
msg275361 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-09-09 17:58
You are not done yet :-)

http://buildbot.python.org/all/builders/s390x%20SLES%203.x/builds/1762/steps/test/logs/stdio

======================================================================
FAIL: test_files (test.test_tools.test_unparse.DirectoryTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/dje/cpython-buildarea/3.x.edelsohn-sles-z/build/Lib/test/test_tools/test_unparse.py", line 297, in test_files
    self.check_roundtrip(source)
  File "/home/dje/cpython-buildarea/3.x.edelsohn-sles-z/build/Lib/test/test_tools/test_unparse.py", line 132, in check_roundtrip
    self.assertASTEqual(ast1, ast2)
  File "/home/dje/cpython-buildarea/3.x.edelsohn-sles-z/build/Lib/test/test_tools/test_unparse.py", line 124, in assertASTEqual
    self.assertEqual(ast.dump(ast1), ast.dump(ast2))
AssertionError: 'Modu[156588 chars]sync=1)]))], decorator_list=[], returns=None),[36372 chars]])])' != 'Modu[156588 chars]sync=0)]))], decorator_list=[], returns=None),[36372 chars]])])'

----------------------------------------------------------------------
msg275384 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-09 18:48
New changeset 223c134af5a1 by Yury Selivanov in branch 'default':
Issue #28008: Fix test_unparse
https://hg.python.org/cpython/rev/223c134af5a1
msg275385 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-09-09 18:49
Should be fixed now.
msg275416 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-09-09 20:05
Build bots are green now, closing this.
History
Date User Action Args
2016-09-11 17:43:06ned.deilysetpriority: release blocker ->
status: open -> closed
resolution: fixed
2016-09-09 20:05:49yselivanovsetmessages: + msg275416
2016-09-09 18:49:16yselivanovsetmessages: + msg275385
2016-09-09 18:48:48python-devsetmessages: + msg275384
2016-09-09 17:58:37vstinnersetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg275361
2016-09-09 17:36:45yselivanovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-09-09 17:36:34yselivanovsetmessages: + msg275359
2016-09-09 17:36:13python-devsetnosy: + python-dev
messages: + msg275358
2016-09-09 16:05:27yselivanovsetfiles: + asyncomp.patch
2016-09-07 21:15:27yselivanovcreate